<nz-layout class="w-full h-full">
    <nz-sider
        class="menu-sidebar"
        nzCollapsible
        nzWidth="200px"
        [(nzCollapsed)]="isCollapsed"
        [nzTrigger]="null">
        <app-sidebar [isCollapsed]="isCollapsed"></app-sidebar>
    </nz-sider>
    <nz-layout>
        <nz-header 
            class="p-0 shadow"
            fxLayout="row">
            <i
				class="trigger"
				nz-icon
				[nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"
				(click)="isCollapsed = !isCollapsed">
			</i>
            <app-header 
                class="w-full"
                [isCollapsed]="isCollapsed">
            </app-header>
        </nz-header>
        <nz-content class="px-0 pt-0">
            <router-outlet></router-outlet>
        </nz-content>
        <nz-footer class="p-0">
            <div
                fxLayout="column"
                fxLayoutAlign="center center">
                Created by: XLGamerAddict &copy;2019
            </div>
        </nz-footer>
    </nz-layout>
</nz-layout>
